**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/23.1/clinical-operations/recalculate-milestone-document-field.md

# Recalculate Milestone Document Field



`

` Recalculate the` milestone__v` field on a specified set of documents.

* The maximum CSV input file size is 1GB.

* The values in the input must be UTF-8 encoded.

* CSVs must follow the standard RFC 4180 format, with some [exceptions](/vault-api/references/csv-rfc-deviations).

* The maximum batch size is 500.

<Endpoint path="/api/{version}/objects/documents/milestones/actions/recalculate" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `text/csv` |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## Body Parameters {#body-parameters}

Prepare a CSV input file with document `id` values in an `id` column. Invalid values or invalid columns are ignored.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: text/csv" \
--data-binary @"recalculate_milestones.csv" \
https://myvault.veevavault.com/api/v21.3/objects/documents/milestones/actions/recalculate

```
</CodeExample>

## Example CSV Input File {#example-csv-input-file}

<CodeExample title="">
```
id
7652
9875
541

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
   "responseStatus": "SUCCESS",
   "responseMessage": "SUCCESS"
}

```
</CodeExample>

---

**Previous:** [Create EDLs](/clinical/vault-api/api-reference/23.1/clinical-operations/create-edls)  
**Next:** [Apply EDL Template to a Milestone](/clinical/vault-api/api-reference/23.1/clinical-operations/apply-edl-template-to-a-milestone)